Last Comment Bug 699876 - Import the initial b2g/ directory
: Import the initial b2g/ directory
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla11
Assigned To: Philipp von Weitershausen [:philikon]
:
Mentors:
Depends on:
Blocks: 709468 705924
  Show dependency treegraph
 
Reported: 2011-11-04 11:34 PDT by Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please)
Modified: 2012-02-01 13:59 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
B2G dir (463.75 KB, patch)
2011-11-21 02:34 PST, Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please)
no flags Details | Diff | Review
B2G dir (without application.ini) (472.59 KB, patch)
2011-12-01 11:22 PST, Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please)
no flags Details | Diff | Review
b2g/ dir as a copy of mobile/xul/ (158.62 KB, patch)
2011-12-06 01:19 PST, Philipp von Weitershausen [:philikon]
cjones.bugs: review+
Details | Diff | Review

Description Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-11-04 11:34:59 PDT
This bug will track our progress to upstream the b2g/ directory from http://github.com/cgjones/mozilla-central to m-c.

The current directory structure is based on the Mobile's one but stripped down to the minimal.
There is a simple shell.xul file that embed a <xul:browser/> pointing to the homescreen.
Comment 1 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-11-04 12:03:38 PDT
The hard-coded home screen locations may be a hard sell.  I think making those pref(s) might be part of the entry fee.  Shouldn't be too bad, yeah?
Comment 2 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-11-04 23:47:51 PDT
Another thing I think we should ensure before upstreaming is that all the "fennec" branding is switched over to "b2g".
Comment 3 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-11-05 05:00:03 PDT
(In reply to Chris Jones [:cjones] [:warhammer] from comment #2)
> Another thing I think we should ensure before upstreaming is that all the
> "fennec" branding is switched over to "b2g".

This should have been done in my last commit but looking twice can't be bad.
Comment 4 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-11-21 02:34:10 PST
Created attachment 575825 [details] [diff] [review]
B2G dir

This is the b2g/ directory with the basic app to launch the homescreen and without the mobile/ leftover.
The homescreen can be configured via the preference browser.homescreenURL.
Comment 5 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-12-01 11:22:42 PST
Created attachment 578334 [details] [diff] [review]
B2G dir (without application.ini)
Comment 6 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-12-05 20:07:44 PST
Comment on attachment 578334 [details] [diff] [review]
B2G dir (without application.ini)

OK, just to warn you, you're going to hate this comment ...

The original setup of b2g was as a copy of mobile/ since the vast majority of the code is the same.  Using a copy instead of "new file" allows us to follow history.  That's quite useful.  In this import though, all the files are new, so we would lose history.

I would really like to keep the history if possible.  Before the reorganization of mobile/, I think you could pretty easily have "fixed" this patch to do copies.  After, I'm not sure.  I'd like to see this patch fixed to use copies, but otherwise convince me that it's too hard to be worthwhile with the new code
Comment 7 Philipp von Weitershausen [:philikon] 2011-12-06 01:19:10 PST
Created attachment 579261 [details] [diff] [review]
b2g/ dir as a copy of mobile/xul/
Comment 8 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-12-06 07:27:35 PST
Just keeping the bug assigned to me since if something went wrong I will probably keep fixing b2g/ myself since what you have just done is rebasing the patch to keep the mobile history - and btw thanks a lot for that!
Comment 9 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-12-06 07:39:31 PST
Comment on attachment 579261 [details] [diff] [review]
b2g/ dir as a copy of mobile/xul/

touch.js needs a license header.

r=me with that.
Comment 10 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-12-06 07:41:19 PST
Or rs=me.
Comment 11 Philipp von Weitershausen [:philikon] 2011-12-06 07:44:28 PST
(In reply to Vivien Nicolas (:vingtetun) from comment #8)
> Just keeping the bug assigned to me since if something went wrong I will
> probably keep fixing b2g/ myself since what you have just done is rebasing
> the patch to keep the mobile history - and btw thanks a lot for that!

Let's just land this and deal with any problems in the follow up.

(In reply to Chris Jones [:cjones] [:warhammer] from comment #9)
> touch.js needs a license header.

Thanks for the quick review! Will do.
Comment 12 Philipp von Weitershausen [:philikon] 2011-12-06 15:55:25 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/e2ba243f96a5
Comment 13 Ed Morley [:emorley] 2011-12-07 02:32:09 PST
https://hg.mozilla.org/mozilla-central/rev/e2ba243f96a5

Note You need to log in before you can comment on or make changes to this bug.